#pragma once
#include <iostream>
#include <vector>

struct Input {
    std::vector<double> numbers;
    size_t bin_count{};
};

Input input_data(std::istream& in, bool prompt);
std::vector<size_t> make_histogram(const std::vector<double>& numbers, size_t bin_count);
void show_histogram_text(const std::vector<size_t>& bins);
