#include "text.h"

void show_histogram_text(std::vector<size_t> bins , size_t bin_count) {
    size_t maxCount = maxBin(bins);
    size_t count_stars;
    for (size_t i = 0; i < bin_count; i++) {

        if (bins[i] < 100) {
            std::cout << " ";
        }
        if (bins[i] < 10) {
            std::cout << " ";
        }

        std::cout << bins[i];
        std::cout << "|";

        if (maxCount > MAX_ASTERISK) {
            count_stars = MAX_ASTERISK * (static_cast<double>(bins[i]) / maxCount);
        }
        else {
            count_stars = bins[i];
        }
        for (size_t i2 = 0; i2 < count_stars; i2++) {
            std::cout << "*";
        }
        std::cout << std::endl;


    }
}

const size_t maxBin(std::vector<size_t> bins) {
    size_t max = bins[0];
    for (int i = 1; i < bins.size(); i++) {
        if (max < bins[i]) {
            max = bins[i];
        }
    }
    return max;
}
